##### v0.0.8:
Implemented filter per logger
```json
{
  "loggers":{
    "fs.*":["ERROR","WARN", "INFO"],
    ".*":[]
  }
	...
}
```

This will show all error,warning,info logs from all loggers with the name starting with "fs" 
the other loggers will be disabled 

"loggers" can be places both in root or in adapter in this case the adapter will take priority
so main will only log ERROR

```json
{
  "writers":{
    "myconsole": {
      "writer":"console"
    }
  },
	"loggers": {
		"main":["ERROR","VERBOSE","INFO","WARN"]
	},
	"adapters" : [
		{
			"levels": ["INFO","VERBOSE","WARN","ERROR"],
			"writers": ["myconsole"],
			"loggers": {
				"Hello": ["INFO"],
				"main": ["ERROR"]
			}
		}
	]
}
```


##### v0.0.7:
Changed format to writer instead of adapter, better to handle different kind of formats for each writer (i.e., file, console)  
Fixed Config adapter "levels" entry, it was checking with last level only
##### v0.0.6:
Changed logger to support objects as console.log
```javascript
var obj = {
	test: {
		msg: 'testing depth'
	},
	arr:[1,2,3]
}

log.info("Testing: ", obj);
```
Changed package.json test to run test-conf
##### v0.0.5:
Changed console.log from ConsoleWriter to process.stdout.write, so we can warp console.log into a logger
```javascript
console.log = require('hlogger').createLogger('name');
```

