var LogWriter = require('../writer');

// Default format for consoleWriter
const defaultFormat = {
		ERROR: "\033[0;37m[\033[01;30m%c\033[0m: \033[1;34m%n\033[0;37m" +"\033[0;31m -%l- " + "\033[1;31m%m\033[0m  \033[01;30m%E\33[0m" ,
		WARN:  "\033[0;37m[\033[01;30m%c\033[0m: \033[1;34m%n\033[0;37m" +"\033[0;33m -%l- " + "\033[0;37m%m\033[0m  \033[01;30m%E\33[0m",
		INFO:  "\033[0;37m[\033[01;30m%c\033[0m: \033[1;34m%n\033[0;37m" +"\033[0;32m -%l- " + "\033[0;37m%m\033[0m  \033[01;30m%E\33[0m",
		VERBOSE:  "\033[0;37m[\033[01;30m%c\033[0m: \033[1;34m%n\033[0;37m" +"\033[1;30m -%l- " + "\033[1;30m%m\033[0m  \033[01;30m%E\33[0m" ,
};


class ConsoleWriter extends LogWriter {
	constructor(opt) {
		super(opt);
		if(this.fmt == undefined) {
			this.fmt = defaultFormat;
		}
	}
	log(msg) {
		process.stdout.write(msg);
		process.stdout.write("\n");
	}
}






module.exports = ConsoleWriter;
